import { Modal as BootstrapModal } from "react-bootstrap";

import styles from "./Modal.module.scss";

/** Generic modal for usage,
 * this applies the same style to all pages using
 * this component
 */
export default function Modal({ children, ...props }) {
    return (
        <BootstrapModal
            contentClassName={styles.modal}
            backdrop="static"
            fullscreen="sm-down"
            keyboard={false}
            {...props}
        >
            {children}
        </BootstrapModal>
    );
}
