import Image from "next/image";
import { useState } from "react";

import Modal from "components/common/Modal";
import DownloadPdfForm from "components/forms/DownloadPdfForm";

import styles from "./sidebar.module.scss";

export default function DownloadBtn({ book }) {
    const [show, setShow] = useState(false);

    return (
        <>
            <button
                className={styles.downloadBtn}
                data-active={false}
                onClick={() => setShow(true)}
            >
                <Image src="/img/viewer/download.svg" alt="Download" fill />
            </button>

            <Modal show={show} onHide={() => setShow(false)} centered>
                <DownloadPdfForm
                    book={book}
                    callback_submit={() => setShow(false)}
                    callback_cancel={() => setShow(false)}
                />
            </Modal>
        </>
    );
}
