import Image from "next/image";
import { useState } from "react";

import styles from "./sidebar.module.scss";

export default function FullScreenButton() {
    const [isFullScreen, setIsFullScreen] = useState(false);

    const toggleFullScreen = () => {
        if (document.fullscreenElement) {
            document.exitFullscreen();
            setIsFullScreen(false);
        } else {
            document.getElementsByTagName("main")[0].requestFullscreen();
            setIsFullScreen(true);
        }
    };

    return (
        <div className={styles.fullscreenBtn} data-active={false}>
            <button className="btn" onClick={toggleFullScreen}>
                <Image
                    src={
                        isFullScreen
                            ? "/img/viewer/fullscreen_exit.svg"
                            : "/img/viewer/fullscreen_enter.svg"
                    }
                    alt="Fullscreen"
                    fill
                />
            </button>
        </div>
    );
}
