import { useCallback, useContext } from "react";

import { ToolBarContext } from "../toolbar";
import { Tool, ToolContext } from "./typing";

export function useBaseToolContext(tool: Tool) {
    const { activeTool, setActiveTool, activeSubMenu, setActiveSubMenu } =
        useContext(ToolBarContext);
    const active = activeTool === tool;
    const toggleActive = useCallback(
        () => setActiveTool(tool),
        [setActiveTool, tool]
    );
    const active_sm = activeSubMenu === tool;
    const toggleSubMenu = useCallback(
        () => setActiveSubMenu(tool),
        [setActiveSubMenu, tool]
    );

    const ret: ToolContext = {
        active,
        toggleActive,
        activeSubMenu: active_sm,
        toggleSubMenu,
    };

    return ret;
}
