import { useContext } from "react";

import { SnipEditorToolContext } from "../snipEditor.tool";

import styles from "../../toolbar/toolbar.module.scss";

export default function Info() {
    const { activeSubTool } = useContext(SnipEditorToolContext);

    return (
        <>
            <div className={styles.header}>Edit Snips ({activeSubTool})</div>
            <p>Resize, cut, move and finally place a snip.</p>

            <table>
                <tbody>
                    <tr>
                        <td>
                            <kbd>LMB²</kbd>
                        </td>
                        <td>
                            {activeSubTool === "resize"
                                ? "Reset to original size"
                                : "Reset crop"}
                        </td>
                    </tr>
                </tbody>
            </table>
        </>
    );
}
