import { render_checkered } from "./checkered";
import { render_lined } from "./lined";

import { background_types } from "database/sql.typings";

export function render_background_by_id(
    id: number,
    ctx: CanvasRenderingContext2D | OffscreenCanvasRenderingContext2D,
    scaling = true
) {
    switch (id) {
        case background_types["checkered 4mm x 4mm"]:
            render_checkered(ctx, 4, 4);
            break;
        case background_types["lines 7mm"]:
            render_lined(ctx, 7, scaling);
            break;
        case background_types["blank"]:
            break;
        default:
            console.error("Invalid background id: " + id);
            break;
    }
}
