interface FetcherError extends Error {
    status: number;
    info?: unknown;
}
interface ApiError_client extends Error {
    error: string;
    details?: unknown;
}

export async function fetcher(url) {


    //Check if token in winow

    const headers = {};
    const token = new URL(window.location.href).searchParams.get("token");
    if (token) {
        headers["Authorization"] = `Bearer ${token}`;
    }
    const res = await fetch(url,
        {
            headers: headers,
        }
    ).then(res_parse_json);

    return res;
}

export async function res_parse_json(res) {
    // If the status code is not in the range 200-299,
    // we still try to parse and throw it.
    if (!res.ok) {
        let error;
        try {
            //ApiError msg
            const json = await res.json();
            error = new Error(json.error) as ApiError_client;
            error.details = json.details;
        } catch {
            error = new Error(
                "An error occurred while fetching the data."
            ) as FetcherError;
            // Attach extra info to the error object
            // The response might not be defined!
            error.status = res.status;
            // No json response
        }
        throw error;
    }
    return await res.json();
}
