/**
 * Register service.
 * @description Stores instances in `global` to prevent memory leaks in development.
 * @arg {string} name Service name.
 * @arg {function} initFn Function returning the service instance.
 * @return {*} Service instance.
 */
export const registerService = (name, initFn) => {
    if (!(name in global)) {
        global[name] = initFn();
    }
    return global[name];
};
