// import { config } from 'config' not possible in edge runtime

import { config } from "config";

export const sessionOptions = {
    password: config.SESSION_SECRET as string,
    cookieName: "snip_labbook",
    // secure: true should be used in production (HTTPS) but can't be used in development (HTTP)
    cookieOptions: {
        secure: process.env.NODE_ENV === "production",
    },
};

declare module "iron-session" {
    interface IronSessionData {
        user_id?: number;
        email_verified?: boolean;
        is_admin?: boolean;
    }
}
