import { useRouter } from "next/router";
import { useEffect, useState } from "react";

import { getLayout } from "./account/login";

export default function Custom404() {
    const router = useRouter();

    const [msg, setMsg] = useState("Page could not be found");

    useEffect(() => {
        const _msg = new URL(
            "http://localhost:4000/" + router.asPath
        ).searchParams.get("msg");
        if (_msg) {
            setMsg(_msg);
        }
    }, [router]);

    return (
        <div className="h-100 d-flex flex-column justify-content-center align-items-center">
            <div
                className="text-primary p-5"
                style={{
                    backgroundColor: "#adb5bd90",
                    borderRadius: "10px",
                    fontWeight: "bold",
                }}
            >
                <h1 className="text-center">404</h1>
                <hr />
                <p>{msg}</p>
            </div>
        </div>
    );
}

Custom404.getLayout = getLayout;
