import Footer from "components/common/Footer";
import Navbar from "components/common/Navbar";
import LoginForm from "components/forms/LoginForm";

import styles from "components/frontpage/frontpage.module.scss";

export default function Login() {
    return <LoginForm />;
}

export function getLayout(page) {
    return (
        <div className="d-flex h-100 flex-column">
            <Navbar />
            <main className={styles.main + " d-flex flex-column"}>
                {page}
                <Footer />
            </main>
        </div>
    );
}

/** The login page has a special layout without sidebar
 * this is added here.
 */
Login.getLayout = getLayout;
