import Tab from "react-bootstrap/Tab";
import Tabs from "react-bootstrap/Tabs";

import { GroupManagementEditor } from "components/admin_panel/GroupEditor";
import { PermissionEditor } from "components/admin_panel/PermissionEditor";
import RerenderForm from "components/admin_panel/RerenderForm";
import { DefaultLayoutWithSidebar } from "components/common/DefaultLayout";

export default function Admin() {
    return (
        <>
            <Tabs
                defaultActiveKey="group"
                id="justify-tab-example"
                className="mb-3"
                style={{ width: "100%" }}
                variant="pills"
            >
                <Tab eventKey="group" title="Group Management">
                    <div className="d-flex flex-column p-5">
                        <h2>Group Management</h2>
                        <p>
                            Use the forms below to manage the relationship
                            between specific users and groups. Select a group
                            and then select the users you want to add to that
                            group. You can also edit multiple users at once.
                        </p>
                        <GroupManagementEditor />
                    </div>
                </Tab>
                <Tab eventKey="perms" title="Permission Management">
                    <div className="d-flex flex-column p-5">
                        <h2>Permission Management</h2>
                        <p>
                            Use the forms below to manage the permissions of
                            users and/or groups . Select an entity and a
                            resource and then change the desired permissions.
                        </p>
                        <PermissionEditor />
                    </div>
                </Tab>
                <Tab eventKey="other" title="Other">
                    <div className="d-flex flex-column p-5">
                        <h2>Other</h2>
                        <p>
                            Rerender the previews of all pages in a book using
                            the form below.
                        </p>
                        <RerenderForm />
                    </div>
                </Tab>
            </Tabs>
        </>
    );
}

Admin.getLayout = function getLayout(page) {
    const title = "Admin Panel";
    return (
        <DefaultLayoutWithSidebar title={title}>
            {page}
        </DefaultLayoutWithSidebar>
    );
};
