import { withSessionRoute } from "lib/withSession";
import { NextApiRequest, NextApiResponse } from "next/types";
export default withSessionRoute(logoutRoute);

interface ApiSuccessMessage {
    success: boolean;
    message?: string;
}

function logoutRoute(
    req: NextApiRequest,
    res: NextApiResponse<ApiSuccessMessage>
) {
    req.session.destroy();
    res.json({ success: true, message: "Session cookie destroyed" });
}
