import { withSessionRoute } from "lib/withSession";
import { NextApiRequest, NextApiResponse } from "next/types";

import { ApiError, service } from "../_service";

import { UserData } from "database/services/service.typings";

export default withSessionRoute(userRoute);

//Gets user via session cookie
async function userRoute(
    req: NextApiRequest,
    res: NextApiResponse<UserData | ApiError>
) {
    if (req.session.user_id) {
        const user = await service.user.getById(req.session.user_id);
        res.json(user);
    } else {
        res.status(401).json({ error: "Unauthorized" });
    }
}
