import { withSessionRoute } from "lib/withSession";
import { NextApiRequest, NextApiResponse } from "next/types";

export default withSessionRoute(isAdmin);

/** THIS API SHOULD NOT BE USED FOR CRITICAL APPLICATION PARTS
 *  AS A RESPONSE CAN BE MANIPULATED BY THE USER EASILY!
 *
 * Only use this API to show or hide certain parts of the UI
 *
 */
async function isAdmin(req: NextApiRequest, res: NextApiResponse<boolean>) {

    if (req.session?.is_admin) {
        res.json(true);
    } else {
        res.json(false);
    }

}
