import Footer from "components/common/Footer";
import Navbar from "components/common/Navbar";
import Features from "components/frontpage/features";
import Hero from "components/frontpage/hero";

import styles from "components/frontpage/frontpage.module.scss";

/** Index page
 * This is the introduction page of the application. It is only
 * shown when the user is not logged in.
 *
 * It includes
 * - a short introduction
 * - CTA to login/signup
 * - Features (open-source, integrations, ...)
 *
 */

export default function FrontPage() {
    return (
        <>
            <Hero />
            <Features />
        </>
    );
}

FrontPage.getLayout = getLayout;
export function getLayout(page) {
    return (
        <div className="d-flex h-100 flex-column">
            <Navbar />
            <div className={styles.main}>
                {page}
                <Footer className="pt-1" />
            </div>
        </div>
    );
}
