import { useRouter } from "next/router";

import { getLayout } from "./account/login";

/** This route is show if an user does an action for which
 * he is not authorized.
 */
export default function Unauthorized() {
    const router = useRouter();

    return (
        <>
            <div
                className="d-flex alert alert-warning flex-column"
                role="alert"
                style={{
                    fontWeight: "bold",
                }}
            >
                Not authorized to view this resource!
                <button
                    className="btn btn-primary mt-2"
                    onClick={() => {
                        router.push("/");
                    }}
                >
                    Home
                </button>
            </div>
        </>
    );
}

Unauthorized.getLayout = getLayout;
