import { BaseData, BaseSnip, BaseView, SnipData } from "../general/base";
import { PlotData, PlotSnip, PlotView } from "./plot";

export function _get_snip_from_data<
    s extends BaseSnip,
    d extends BaseData,
    v extends BaseView
>(snip_data: SnipData<d, v>): s | BaseSnip {
    const type = snip_data.type.replace("example/", "");

    switch (type) {
        case "plot":
            return PlotSnip.from_data(
                snip_data as unknown as SnipData<PlotData, PlotView>
            );
        default:
            console.warn("[Snips] Unexpected snip with type: " + type);
            return BaseSnip.from_data(
                snip_data as unknown as SnipData<BaseData, BaseView>
            );
    }
}