// Use websocket server for the realtime communication
// of different clients and the server

import { Server } from "socket.io";

import { setupNamespaces } from "./socket/socket";

// Server is defined as singleton such that we can import
// it from other files.
let server: Server;
export function getSocketIOServer(): Server {
    if (server) {
        return server;
    }
    // Start socket.io server
    server = new Server({
        maxHttpBufferSize: 1e8,
        pingTimeout: 25000,
    });
    console.log("[Socket] Socket Server initialized");
    setupNamespaces(server);
    return server;
}